
##-----------------------------------------------------------------------------
## All %%global definitions should be placed here and keep them sorted
##
%if ( 0%{?fedora} ) || ( 0%{?rhel} && 0%{?rhel} > 6 )
%global _with_systemd true
%endif


##-----------------------------------------------------------------------------
## All package definitions should be placed here
##
Summary:          Gluster block storage utility
Name:             gluster-block
Version:          0.2
Release:          1
License:          GPLv2 or LGPLv3+
URL:              https://github.com/gluster/gluster-block
Source0:          gluster-block-0.2.tar.gz

BuildRequires:    glusterfs-api-devel >= 3.6.0
BuildRequires:    json-c-devel
BuildRequires:    help2man >= 1.36
%if ( 0%{?_with_systemd:1} )
BuildRequires:    systemd-units
%endif

Requires:         tcmu-runner >= 1.0.4
Requires:         targetcli >= 2.1.fb43

%description
gluster-block is a CLI utility, which aims at making gluster backed block
storage creation and maintenance as simple as possible.

%prep
%setup

%build
%configure
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%license COPYING-GPLV2 COPYING-LGPLV3
%doc README.md INSTALL
%{_sbindir}/gluster-block
%{_sbindir}/gluster-blockd
%{_mandir}/man8/gluster-block*.8*
%if ( 0%{?_with_systemd:1} )
%{_unitdir}/gluster-blockd.service
%endif

%changelog
* Mon Mar 27 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- add json-c-devel to build dependency list

* Mon Mar 6 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- conditionally enable with_systemd flag

* Mon Feb 27 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- add INSTALL

* Mon Feb 27 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- add Man page entry

* Thu Feb 23 2017 Niels de Vos <ndevos@redhat.com>
- cleanup and add licenses and README.md to the package

* Sun Feb 5 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- Initial spec file
